Subject: Re: [PATCH 16/18] revert: Remove sequencer state when no commits are pending

From: Jonathan Nieder <[email-masked]>
Date: Wed, 27 Jul 2011 17:48:30 +0200

Ramkumar Ramachandra wrote:

> Hm, yes.  I'd definitely like to see a tighter coupling between "git
> commit" and the sequencer as it becomes more generalized.
> Would you advocate this specific change now?  If so, I'll write an
> implementation right away.  I was wondering whether you'd like such a
> tight coupling at this stage.

If "tight coupling" means "builtin/commit.c calls a function declared
in sequencer.h", then yes, I think it should be fine.

In an ideal world it would also be exposed as plumbing ("git
cherry-pick --commited"?), for use by hypothetical porcelains that
want to use "git commit-tree" et al to simulate what git commit does.
But probably best to wait on that part until someone needs it and can
tell what a good interface would look like.

Thanks for explaining.
Jonathan